Bug 1278300 - filesystem should own /usr/share/licenses directory
Summary: filesystem should own /usr/share/licenses directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: filesystem
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Vasik
QA Contact: Robin Hack
URL:
Whiteboard:
Depends On:
Blocks: 1289025 1305230
TreeView+ depends on / blocked
 
Reported: 2015-11-05 08:28 UTC by Petr Pisar
Modified: 2016-11-04 00:56 UTC (History)
3 users (show)

Fixed In Version: filesystem-3.2-21.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 00:56:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2217 normal SHIPPED_LIVE filesystem bug fix update 2016-11-03 13:25:01 UTC

Description Petr Pisar 2015-11-05 08:28:21 UTC
Some packages deliver files under /usr/share/licenses:

# ls /usr/share/licenses
cryptsetup-libs-1.6.7              elfutils-0.163      openssh-6.6.1p1
device-mapper-event-libs-1.02.107  gmp-6.0.0           source-to-image-1.0.2
device-mapper-libs-1.02.107        krb5-libs-1.13.2    systemd-219
elfutils-libelf-0.163              lvm2-libs-2.02.130  systemtap-sdt-devel-2.8
elfutils-libs-0.163                lvm2-2.02.130

For example:

# rpm -qf /usr/share/licenses/lvm2-2.02.130/
lvm2-2.02.130-5.el7.x86_64

But the /usr/share/licenses is not provided by any package:

# LC_ALL=en_US.UTF-8 rpm -qf /usr/share/licenses
file /usr/share/licenses is not owned by any package

The /usr/share/licenses should be owned by filesystem package.

Affected package: filesystem-3.2-20.el7.x86_64.

Comment 1 Ondrej Vasik 2015-11-05 20:49:51 UTC
Hmmms, /usr/share/licenses is owned by filesystem since Jul 28 2014 (#1121416) - it was too late for RHEL 7.0. But as %license started to work in fedora 19, it make sense to do that change in RHEL 7 as well. Thanks for report.

Comment 9 errata-xmlrpc 2016-11-04 00:56:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2217.html


Note You need to log in before you can comment on or make changes to this bug.